// Fullscrn.h: Interface for the Full_screen class.

#ifndef FULLSCRN_H_

#define FULLSCRN_H_

#ifndef WIN32
   #define bool  BOOL
   #define true  TRUE
   #define false FALSE
#endif

class CMainFrame;

class Full_screen
{
public:
   Full_screen();

   bool Is_in_full_screen_mode() const;
   void Setup_for_full_screen(CMainFrame* pMainFrame);
   void Restore_all_window_areas(CMainFrame* pMainFrame);

private:
   bool m_have_forced_maximized;
   bool m_in_full_screen_mode;
   BOOL m_toolbar_was_visible;
   BOOL m_statusbar_was_visible;
};

#endif   // #ifndef FULLSCRN_H_
